#if !defined(AFX_ABOUTPAGE_H__E8614790_500D_4C7D_9FD1_CD7947018936__INCLUDED_)
#define AFX_ABOUTPAGE_H__E8614790_500D_4C7D_9FD1_CD7947018936__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AboutPage.h : header file
//

#include "ZopeDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CAboutPage dialog

class CAboutPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CAboutPage)

// Construction
public:
	CAboutPage();
	~CAboutPage();

	// For blitting the bitmap onto the page
	CBitmap m_bmpLogo;
	CBitmap m_bmpMask;
	void PrepareMask( CBitmap* pBmpSource,
					  CBitmap* pBmpMask,
					  COLORREF clrpTransColor,
					  int iTransPixelX = 0,
					  int iTransPixelY = 0 );

	void DrawTransparentBitmap (CDC* pDC,
								int xStart, int yStart,
								int wWidth, int wHeight,
								CDC* pTmpDC,
								int xSource = 0,
								int ySource = 0);
	BOOL simpleHelp;
	CZopeDialog *zopeDialog;

	CFont *fontBold;	// Just to look nice

	// Dialog Data
	//{{AFX_DATA(CAboutPage)
	enum { IDD = IDD_ABOUT };
	CStatic	m_ControllerVersion;
	CStatic	m_Controller;
	CStatic	m_Database;
	CStatic	m_DatabaseSize;
	CStatic	m_Zope;
	CStatic	m_Interpreter;
	CStatic	m_ZopeVersion;
	CStatic	m_InterpreterVersion;
	CStatic	m_HelpText;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CAboutPage)
	public:
	virtual BOOL OnSetActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CAboutPage)
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ABOUTPAGE_H__E8614790_500D_4C7D_9FD1_CD7947018936__INCLUDED_)
