// AddInterpreter.cpp : implementation file
//

#include "stdafx.h"
#include "ControlPanel.h"
#include "AddInterpreter.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddInterpreter property page

IMPLEMENT_DYNCREATE(CAddInterpreter, CWizardPage)

CAddInterpreter::CAddInterpreter() : CWizardPage(CAddInterpreter::IDD)
{
	//{{AFX_DATA_INIT(CAddInterpreter)
	m_Interpreter = _T("");
	//}}AFX_DATA_INIT
}

CAddInterpreter::~CAddInterpreter()
{
}

void CAddInterpreter::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddInterpreter)
	DDX_Control(pDX, IDC_PATH, m_editInterpreter);
	DDX_Text(pDX, IDC_PATH, m_Interpreter);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddInterpreter, CPropertyPage)
	//{{AFX_MSG_MAP(CAddInterpreter)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	ON_WM_PAINT()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddInterpreter message handlers

void CAddInterpreter::OnBrowse() 
{
	CString strCurrent;
	m_editInterpreter.GetWindowText(strCurrent);
	
	CFileDialog dlg(TRUE, "exe", strCurrent, OFN_HIDEREADONLY, "Python|python.exe|All Executables (*.exe)|*.exe|All Files (*.*)|*.*||", this); 
	dlg.DoModal();
	
	m_editInterpreter.SetWindowText(dlg.GetPathName());
	
}

void CAddInterpreter::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	Paint(dc);	
	
}
