#if !defined(AFX_ADVANCEDDIALOG_H__46DD992A_00D5_42BC_9EC7_518A6FF51926__INCLUDED_)
#define AFX_ADVANCEDDIALOG_H__46DD992A_00D5_42BC_9EC7_518A6FF51926__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// AdvancedDialog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CAdvancedDialog dialog

class CAdvancedDialog : public CDialog
{
// Construction
public:
	CAdvancedDialog(CWnd* pParent = NULL);   // standard constructor

	BOOL m_DaemonNT;
	BOOL m_NTDisabled;
	void SetDaemonNT(BOOL asNT);
	void BrowseFile(CEdit *edit, CString defaultExtension, CString filter);
	void BrowsePath(CEdit *edit, CString prompt);

// Dialog Data
	//{{AFX_DATA(CAdvancedDialog)
	enum { IDD = IDD_ADVANCED };
	CEdit	m_editStartupScript;
	CEdit	m_editSoftwareHome;
	CEdit	m_editPythonHome;
	CEdit	m_editInterpreter;
	CEdit	m_editPathNT;
	CEdit	m_editPath95;
	CButton	m_BrowseNT;
	CButton	m_Browse95;
	CString	m_Path95;
	CString	m_PathNT;
	CString	m_Interpreter;
	CString	m_PythonHome;
	CString	m_SoftwareHome;
	CString	m_StartupScript;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAdvancedDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CAdvancedDialog)
	afx_msg void OnBrowseDaemon95();
	afx_msg void OnBrowseDaemonNt();
	afx_msg void OnServiceDaemon95();
	afx_msg void OnServiceDaemonNt();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnBrowseInterpreter();
	afx_msg void OnBrowsePythonhome();
	afx_msg void OnBrowseSoftwarehome();
	afx_msg void OnBrowseStartupscript();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ADVANCEDDIALOG_H__46DD992A_00D5_42BC_9EC7_518A6FF51926__INCLUDED_)
