#if !defined(AFX_LOGPAGE_H__E07246FE_2C52_4C5A_845A_3A564DF7B6DF__INCLUDED_)
#define AFX_LOGPAGE_H__E07246FE_2C52_4C5A_845A_3A564DF7B6DF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LogPage.h : header file
//

#include "NotifyParentEdit.h"
#include "ZopeDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CLogPage dialog

class CLogPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CLogPage);

// Construction
public:
	CLogPage();
	~CLogPage();

	CZopeDialog *zopeDialog;

// Dialog Data
	//{{AFX_DATA(CLogPage)
	enum { IDD = IDD_LOG };
	CNotifyParentEdit	m_editStdoutLog;
	CNotifyParentEdit	m_editLogFile;
	CString	m_LogFile;
	CString	m_AccessLog;
	CString	m_StdoutLog;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CLogPage)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CLogPage)
	afx_msg void OnBrowse();
	afx_msg void OnViewStupidlog();
	afx_msg void OnViewAccessLog();
	afx_msg void OnBrowseStdout();
	afx_msg void OnViewStdoutLog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LOGPAGE_H__E07246FE_2C52_4C5A_845A_3A564DF7B6DF__INCLUDED_)
