// AddSoftware.cpp : implementation file
//

#include "stdafx.h"
#include "ControlPanel.h"
#include "AddSoftware.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAddSoftware property page

IMPLEMENT_DYNCREATE(CAddSoftware, CWizardPage)

CAddSoftware::CAddSoftware() : CWizardPage(CAddSoftware::IDD)
{
	//{{AFX_DATA_INIT(CAddSoftware)
	m_StartupScript = _T("");
	//}}AFX_DATA_INIT
}

CAddSoftware::~CAddSoftware()
{
}

void CAddSoftware::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAddSoftware)
	DDX_Control(pDX, IDC_PATH, m_editStartupScript);
	DDX_Text(pDX, IDC_PATH, m_StartupScript);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAddSoftware, CPropertyPage)
	//{{AFX_MSG_MAP(CAddSoftware)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAddSoftware message handlers

void CAddSoftware::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	Paint(dc);	
	
}

void CAddSoftware::OnBrowse() 
{

	CString strCurrent;
	m_editStartupScript.GetWindowText(strCurrent);
	
	CFileDialog dlg(TRUE, "py", strCurrent, OFN_HIDEREADONLY, "Zope Startup Script (z2.py; z2s.py)|z2.py;z2s.py;z2.pyc;z2s.pyc|All Python Scripts (*.py; *.pyc)|*.py;*.pyc|All Files (*.*)|*.*||", this); 
	dlg.DoModal();
	
	m_editStartupScript.SetWindowText(dlg.GetPathName());

	
}

LRESULT CAddSoftware::OnWizardNext() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	return CPropertyPage::OnWizardNext();
}
