#if !defined(AFX_CONTROLPAGE_H__E6CC49E3_31B2_44B6_A4DC_42596F7D0B8D__INCLUDED_)
#define AFX_CONTROLPAGE_H__E6CC49E3_31B2_44B6_A4DC_42596F7D0B8D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ControlPage.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CControlPage dialog

class CControlPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CControlPage)

// Construction
public:
	CControlPage();
	~CControlPage();

	CZopeDialog *zopeDialog;

	void SetStatus(DWORD status);
	void OnZopeResponse(WPARAM wParam, LPARAM lParam);
	void EnableButtons(BOOL start, BOOL stop);
	void UpdateStatus();

	CFont *fontBold;

// Dialog Data
	//{{AFX_DATA(CControlPage)
	enum { IDD = IDD_CONTROL };
	CButton	m_ManageZope;
	CButton	m_Stop;
	CStatic	m_State;
	CButton	m_Start;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CControlPage)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CControlPage)
	afx_msg void OnStart();
	afx_msg void OnStop();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual BOOL OnInitDialog();
	afx_msg void OnManageZope();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CONTROLPAGE_H__E6CC49E3_31B2_44B6_A4DC_42596F7D0B8D__INCLUDED_)
