#if !defined(AFX_EXECUTIONPAGE_H__D339DCDF_91A6_41C3_8201_C187058EFE32__INCLUDED_)
#define AFX_EXECUTIONPAGE_H__D339DCDF_91A6_41C3_8201_C187058EFE32__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ExecutionPage.h : header file
//

#include "ZopeDialog.h"
#include "NotifyParentEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CExecutionPage dialog

class CExecutionPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CExecutionPage)

// Construction
public:
	CExecutionPage();
	~CExecutionPage();

	CZopeDialog *zopeDialog;

// Member variables set from "Advanced" dialog
	CString m_ClientHome;
	CString m_PythonHome;
	CString m_SoftwareHome;
	CString m_Interpreter;
	CString m_StartupScript;
	BOOL m_Override;

// Dialog Data
	//{{AFX_DATA(CExecutionPage)
	enum { IDD = IDD_EXECUTION };
	CButton	m_btnShowTrayIcon;
	CNotifyParentEdit	m_editPath;
	CString	m_Path;
	BOOL	m_ServiceStartup;
	BOOL	m_ShowTrayIcon;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CExecutionPage)
	public:
	virtual BOOL OnSetActive();
	virtual BOOL OnKillActive();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CExecutionPage)
	afx_msg void OnBrowsePath();
	afx_msg void OnServiceStartupCheck();
	afx_msg void OnShowTrayIconCheck();
	afx_msg void OnAdvanced();
	afx_msg void OnCreateStartMenuShortcut();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EXECUTIONPAGE_H__D339DCDF_91A6_41C3_8201_C187058EFE32__INCLUDED_)
