#include "NTServiceInfo.h"


NTServiceInfo::NTServiceInfo(SC_HANDLE serviceHandle)
: service(serviceHandle)
{
	buffer = new char[0];
	config = (LPQUERY_SERVICE_CONFIG) buffer;
	DWORD size = 0;

	// Obtain size needed to store information
	QueryServiceConfig(service, config, 0, &size);

	// Allocate required size
	delete buffer;
	buffer = new char[size];
	config = (LPQUERY_SERVICE_CONFIG) buffer;
	
	// Now fill the buffer
	QueryServiceConfig(service, config, size, &size);
}

NTServiceInfo::~NTServiceInfo()
{
	delete buffer;
}

BOOL NTServiceInfo::changeStartupType(DWORD type)
{
	BOOL blret;
	blret = ChangeServiceConfig(service,	// Service handle
								SERVICE_NO_CHANGE,
								type,
								SERVICE_NO_CHANGE,
								NULL,
								NULL,
								NULL,
								NULL,
								NULL,
								NULL,
								config->lpDisplayName);
	return blret;
}